[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# AnsiResemblesProc

Procedural variable, called when checking 2 strings for resemblances in AnsiResemblesText

## Declaration

Source position: strutils.pp line 134

`const AnsiResemblesProc: TCompareTextProc = @SoundexProc;`

## Description

This procedural variable is standard set to SoundexProc but can be overriden with a user-defined algorithm. This algorithm should return True if AText resembles AOtherText, or False otherwise. The standard routine compares the soundexes of the two strings and returns True if they are equal.

## Errors

None

## See also

AnsiResemblesText |  | Check whether 2 strings resemble each other.
SoundexProc |  | Default AnsiResemblesText implementation.

Documentation generated on: Feb 26 2014